%{!?kversion: %define kversion %(uname -r)}
%define svnsnapshot svn.1198715428

Summary: USB Video Class Linux kernel modules
Name:    kmod-uvcvideo
Version: 0.1.0
Release: 1
License: GPLv2+
Group:   System Environment/Kernel
URL:     http://linux-uvc.berlios.de/

Source0: http://www.boston.burdell.org/skunkware/distfiles/uvcvideo-%{version}-svn.1198715428.tar.gz
Patch0:  %{name}-0.1.0-Makefile.patch

Provides: kernel-modules = %{kversion}
Requires: kernel-%{_target_cpu} = %{kversion}
Requires(post): /sbin/depmod
Requires(postun): /sbin/depmod

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kernel-devel-%{_target_cpu} = %{kversion}
ExclusiveArch: i586 i686 x86_64 ppc

%description
USB Video Class Linux device driver.

%prep
%setup -q -n uvcvideo-%{version}-svn.1198715428
%patch0 -p 1

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/lib/modules/%{kversion}/extra/uvcvideo
%{__install} -m 0755 uvcvideo.ko %{buildroot}/lib/modules/%{kversion}/extra/uvcvideo/uvcvideo.ko

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/depmod -aeF /boot/System.map-%{kversion} %{kversion} > /dev/null || :

%postun
/sbin/depmod -aF /boot/System.map-%{kversion} %{kversion} &> /dev/null || :

%files
%defattr(0644, root, root, 0755)
/lib/modules/%{kversion}/extra/uvcvideo/

%changelog
* Wed Dec 26 2007 David Cantrell <david@burdell.org> - 0.1.0-1
- Initial package
